CancelReason (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.zerogc.api

## Enum CancelReason

- java.lang.Object
- - java.lang.Enum<CancelReason>
  - - com.marketfactory.zerogc.api.CancelReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CancelReason>

      public enum CancelReason
      extends java.lang.Enum<CancelReason>

  The reason that an order was canceled.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `BY_ADMIN` The order cancellation was initiated by an admin.
    `BY_EXCHANGE` The order cancellation was initiated by the exchange itself.
    `CANCEL_REQUESTED` The order was cancelled as a result of a user request to cancel it.
    `ORDER_MODIFIED` The order cancellation was initiated automatically after a modification.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static CancelReason` | `get(byte value)`
    `static java.util.Collection<CancelReason>` | `validValues()`
    `static CancelReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CancelReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CANCEL_REQUESTED

          public static final CancelReason CANCEL_REQUESTED

      The order was cancelled as a result of a user request to cancel it.

    - #### BY_EXCHANGE

          public static final CancelReason BY_EXCHANGE

      The order cancellation was initiated by the exchange itself.

    - #### ORDER_MODIFIED

          public static final CancelReason ORDER_MODIFIED

      The order cancellation was initiated automatically after a modification.

    - #### BY_ADMIN

          public static final CancelReason BY_ADMIN

      The order cancellation was initiated by an admin.

    - #### _INVALID

          public static final CancelReason _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static CancelReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CancelReason c : CancelReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CancelReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static CancelReason get(byte value)

    - #### validValues

          public static java.util.Collection<CancelReason> validValues()